About author

Author of this program is Andrej Krutak. I'm 17 and my basic interests are programming, computers, sport (mostly passive) and babes - I am a normal boy :-). I've experiences with several programming languages including: C/C++ (UniView is written in C/C++ too), Pascal (just because of school - I don't like Pascal structure and low efficiency), many BASICs (ZX Spectrum, ATARI, Visual Basic etc.), HTML, XML. I'm livin' in Slovakia and I'm Slovak. My virtual address is :
e-mail: krutak@www.gym.utcru.sk
WWW: http://www.gym.utcru.sk/andrek/

PS: I'd like to meet someone, who's programming in C++ WINAPI and wants to exchange his experiences. If is that you, just let me some email. Although I am student of a high school, I am actively developing a lot of applications. These utilities are free (now :-), so I don't get any payment... But actually I need to upgrade my computer, bucause if I want to recompile whole UniView, it takes about 2 minutes - that's really very much time. I would be happy, if you offer me some cash (even 5$-15$ will be enought), hardware or software. I can then register you in my database and regularly update your software for period depedent on donation amount... We will surely find some way to arrange it.
If you get here, this means you are very patient. I hope, this program will help you and won't make any trouble :)


Welcome in help

I welcome you in help system of UniView. This help file is, as you can see, created for most comfortable informations search and is intended just for UniView! You must not redistribute it in any way and must accept license for this program! If you encouter some problems by using this help, you should download latest version of HtmlHelp viewer (client) from address http://msdn.microsoft.com/library/tools/htmlhelp/wkshp/hhupd.exe. If you have any comments, please send them to author

It is possible, that this document contains several grammar mistakes. Please be patient and wait until I correct them, or send me some corrections by yourself :-).

Warning: This version of help is assigned JUST for UniView with English language. All windows, buttons etc. are present in english language. Help for other language contains other button captions!


About UniView

UniView is freeware program for 32 bit OS Windows(95, 98, 2001, NT). It's main usage is to view, edit and convert files. It supports following formats... For some formats codecs are needed (eg. for QuickTime and MPEG-4 files). Program is still being developed, so it's possible, that version you are actualy using is outdated. New version can you download from FTP server of SAC - Slovak Antivirus Center (ftp://ftp.sac.sk/pub/pc/sk-made/uniview.zip), my homepage http://www.gym.utcru.sk/andrek/) or some other location (I don't know, where on other places is it, but it might be on any up-to-date SAC server). If you enjoy this program or you have some problems using it, don't hositate to write an email to author.


Supported formats

UniView supports many file formats. In following list you can get informations about possibilities of reading nad saving files in these formats. You can also get informations on how to change attributes of output file (or eventually some additional informations about concrete formats)
Image formats, Multimedia formats, Text formats, Miscellanous formats

Image formats

AA - read+write
This format can be used in email, text chats and some interned pages. Ascii art files are fair text files...
When you are saving AA file, you can select filter, which will be used for converting graphics file to text format, if you use EPOX filter, you can also select size of mask (point), which will be used.

ATK - read+write
-
-

BMP, DIB - read+write
Standard format for image interchange in Wind*ws and OS/2 (however, both systems are using a bit different formats), even though absence of some important attributes of modern image format (eg. good compression or transparency) is it heavily used...
By saving of BMP format can yuo select, if you want to save it using RLE compression (works just for BPP's of 4 and 8). This compression is mainly not used because in major instances it's not decreasing size of output file too much. WARNING! This compression can make output file bigger in some cases - for example by saving of some complex images.

CMU - read+write
-
-

DOO - read
-
-

FAC, FACE - read+write as FAC
-
-

G3 - read+write
This format is supporting only B/W images. It's used by some faxes as standard digital output...
-

GIF - read
Older format, which is used on internet mainly because of animation possibilities. Because of license probles with UniSys it's 'sinking' step by step and it's substituted by PNG/MNG and JPG (I think these three formats are very good, PNG is getting even better results after conversion!)...
-

ICL - read
This format is the same as a EXE/DLL/OCX/CPL file with icon. This means UniView can extract icon from almost any Windows executable...
-

ICO - read+write
Format used mainly on OS Wind*ws (but also on other) for saving of icons for miscellanous objects (applications, documents etc.)
By savinf you can set color which will be transparent (you have to check transparent image button too!)

ICON - read+write
-
-

IMG - read+write
Just B/W images...
-

BIE,JBG,JBIG - read+write as JBG (plugin required)
Excelent format for B/W and gray images. It's using lossless compression that is outperforming CCITT fax 3 and 4 compression (used eg. in TIFF and G3 format)
If you want to save image in greyscale instead of B/W, you have to check button 'Save images as grey......'

ILBM/LBM/IFF - read
Format taken from Amiga, used often in products of Electronic Arts...
-

JPEG/JPG/JPE - read+write as JPG
Format used for saving of fullcolor images using lossy compression JPEG (this compression is used also in TIFF files). This format achieves very good compresion ratios by small quality loss. It's not recommended to use it by diagrams, because by this type of images is big quality loss arriving - use PNG instead...
If you save image progressively, it will be loaded so first mosaic of whole image is loaded and then step by step more details will be loaded. If you use progressive mode, you can also save some space on disk. There are also quality setting and two settings, which are affecting output quality and file size a bit...

LEAF - read+write
-
-

MAC,MACP,MPNT,PAINT,PNTG - read+write as MACP
-
-

MDA,MDP - read+write (just MDA)
UniView supports reading of both MDA and MDP in versions 1.0 and 1.3, but can write just MDA in versions 1.0 and 1.3.
By saving, you can select, which version should be used to write MDA file

MGR - read+write
-
-

NGG, NOL, NPM - read+write
Formats NGG/NOL/NPM are used by Nokia mobile phones. It can be for example operator logo or group graphics. I didn't test it by myself. It should be performable with EMI/UCP protocol over TCP/IP - it was tested with SwissCom SMSC (Switzerland) and IC3S SMSC (Germany). On Nokia 3210 and 6210 (and others) is for operator logo used picture 72x14 and it must be B/W (if it's not, it will be converted)...
When saving, you can select if file will be written in hexadecimal or binary form. If you are going to write NOL file in HEX, you can also set operator ID code (if nothing selected, 62F210 will be used). For NPM files can you set text, which will be included in image.

PBM/PGM/PPM/PNM - read+write
Format used mainly on Unix and LiNUX systems because it's simplicity and amount of utilities, which are available for mainipulating these formats available on these systems (funky sencence :). PBM are B/W images, PGM are gray, PPM fullcolor and PNM can contain any bit depth (it can be PBM, PGM or PPM with PNM extension)/
If you save file binary, you can strong decrease amount of time required for loading and saving this file and output file will be also smaller...

PCX - read+write
Format developed by ZSoft used heavily on DOS operating systems. Nowadays it's falling away because it's obsolete. Tomorrow it's supported just because backward compatibility.
If you save 'Packbits compression', image will be compressed (it's achieving good results on non-full color images)

PI1 - read+write
-
-

PI3 - read+write
-
-

PNG - read+write
My favourite format ;-). It's the very best choice of tomorrow for saving images. You're asking why?
PNG was developed as a substitution for commercial format GIF, which is limited to 8 BPP and uses patented compression LZW (and it's licensed by UniSys for large amount of $). PNG has following advantages: Bit depth up to 48BPP (or greyscale up to 16 BPP). It's using non-patented free compresion LZ77, which outperforms LZW in many cases (and is used in ZIP files too) - it's not very effective to compress PNG files to archives... There is also another format - MNG, which's based on PNG and can be, just like GIF, animated. PNG isn't good alternative for photos even though it's advantages. I recommend to use JPG format instead. And how about compatiblity? All newer viewers should be able to view PNG format (because it's born circa in 1995).
If you save image progressively, you can decrease size of output file (but just in some cases). Using 'Compression strenght' you can set, how strong should the compression be - if number is bigger, compression will be stronger but it will tak more time to compress image. There is practically no big difference between compresions 8 and 9 - optimal is compression between 6 and 8.

QRT - read+write
Format uset by QRT ray-tracer, just 24 BPP.
-

RAS, RAST, SR - read+write as RAS
-
By saving you can use RLE compression (see BMP)

RAW - read+write
Universal format, which can contain any type of data, but in this case it should contain image data. This format is used in many computer games to avoid user to change program's files.
Offset is specifying exact position of image in file (eg. offset from begin of file). You can also set order (together with type) and interlacing of color channels...

RGB/SGI - read+write
Format used mainly by Silicon Graphics computers (but is used on almost every modern platform). It has pretty good technical parameters (it should also, because SGI is no. 1 in computer graphics :)
You can use RLE compression by save (see BMP)

RLE, URT - read+write as RLE
-
-

SCR - read
Output file from emulators of ZX Spectrum computers - it's not recommended to associate program with this format, because the same extension are using screen savers for windows
-

SGI - read+write
-
You can use RLE compression by save (see BMP)

SIR - read+write
-
-

TGA - read+write
Format developed by Truevision, it's called TARGA. It is a wide used format...
If you check RLE compression, output file can get smaller. This setting works just for 8BPP images (or smaller)...

TIF,TIFF - read+write
TIFF (Tagged Image File Format) is today one of most complex fileformats, which are available. Because of it's extensibility and codec characer it's used in many programs and it's possible ot extend it using almost any information (eg. author, source, copyright, alpha channel, watermark etc.). TIFF format is supported by wide range of file editors and viewers and it's one of most compatible types (it can be copied between Mac's and PC's too :) - but you must use just special codecs, which are standardized and implemented in most decoders (like CCITT, PACKBITS, LZW, NEXT, JPEG, PIXARLOG or ZIP=deflate)
Using items in 'compression' array you can set compression used in image file. As you can see, there is also LZW compression, which isn't not recommended because of licencing problems (it's possible that it will be removed from this program in next versions). Instead of it you should use ZIP compression (uses LZ77), which achieves comparable results. You can use also JPEG compression (see JPG format for details about parameters). If you check item 'Save in RGB...', image will use RGB colorspace instead of YCbCr. This techniqe can result in bigger file size. By LZW you can use predictor value to set strength of compression - it can be 0, 1 or 2, 0 is lowest compression strength but it's fastest...

WBMP - read+write
Relatively new format established by W3 consortium as a standard format for WAP pages (mobile internet). It supports just B/W images at this point of development.
-

XBM - read+write
Format of B/W images (cursors, icons) on OS Unix and it's clones
By saving you can select one of two available versions (X10 for backward compatiblity or X11 for new format)

XIM - read
Format used by Xim toolkit, which's a part of graphics environment X Windows...
-

XPM - read+write
Format of paletted images in OS Unix (and clones), which is used mainly for icon files. Because of it's non-binary format and syntax (compatible with C/C++) is used by programmers...
If you check item 'Use colrnames table...', program will replace as many colors in hex format in colortable by text names as possible.

YBM - read+write
-
-

YUV - read+write
Format Abekas YUV uses conversion of RGB to YUV (in ratio 4:1:1), so it's decreasing visible quality of image by 2/3 of size of RGB image - this conversion is used by MPEG and JPEG compression (and many other).
-

Text formats

RTF - read+write
RTF (Rich Text Format) is standard format, using which you can save documents that are using many different types of fonts (or some embedded objects) and use it on wide range of operating systems. It's fair text file, so it's good to compress it to archives.
-

Other formats are all raw text files. This means, they doesn't contain any special characters (like ASCII NULL character). These files can use just one font!

Multimedia formats

WAV, AIF,AIFF,AIFC,RMI,MID,AU - read
All these formats are raw sound files, this means they doesn't contain any image informations...
-

other :-) - read
These formats can contain both image and sound informations (or other data too).
-

Other formats

All other formats - read+write
All formats, that UniView can not recognize as supported format is figured as binary file and opens them using HexView. This utility can change contents of files using hexadecimal mode. You can also save these files then.
-


Greetings

In this part I am going to greet a lot of people, those I love ;-)
My family (of course) and following friends: Lubo Tulinsky, Jano Hyros, Tomas Sosovec, Ivan Samik, Peter Pazitka, Martin Maslo, Eva Nedelkova, Barbora Borovska, Eva Okalova, Julius Stancok, Michal Terek, Rene Kamensky, Filip Krsik, Miro Kendera, Ondrej Novak, Christian Ghisler, Peter Hubinsky and all other friends.


First look

When you run UniView first time, it should give you following look:

As you can see, it's free window, which is signalizing, that you no file is currently opened. I'm supposing that if you ran this help file, you probably know basics of windows applications handling. Because of that we're not going to loose time with questions like "How to open file?", "How to exit program?" and so on. If you have that kind of problems, you should check standard Windows help (I hope you won't stop using this help and program because of this mote). You can use UniView is really easily. You'll find it out after a couple of lessons or a short use of program...


Basic program handling

 Dialog - settings Dialog - About program Dialog - Open files Program menu Status bar Minimizes window Maximizes window Closes window
Basic program handling

Let's look again, how UniView looks like in basic status:

As you can see, even in this state are some items active. In picture there are some hot-spots, where if you click, you will get extended informations about what is selected item doing.


File types

After you open a file or create new file, UniView workspace will change so you can work more efficient. This means toolbar and statusbar changing and updating of menu items. If you want to know how exactly will these items change, check it by yourself directly in program...

Regarding toolbar, most deal of it is common for all file types. Besides other buttons are common buttons: Open file, Save and Save as, buttons for Directory browsing and Clipboard operations, Settings and About program dialog.

I mentioned, that there are several base types of files, that UniView is recognizing. They're:
Text files
Image files
Multimedia files
Binary files

You can modify all types excepting multimedia (AVI, MPG, MOV, QT etc). This type also can't be saved. But there is assumption that this function will be implemented in some of future versions of UniView :-)


Binary files

Binary file is any file, which can contain besides text some other data (like saved game positions, sound, map etc.). In this category are multimedia and image files too, but UniView can differ between most formats automatically. If not, that file will be opened in binary format using HexView, which is a deal of UniView executable and it's not required to install additional plugins. HexView will probably not help to most users, but for it can be used at least to get basic informations about file (eg. UniView can't actually open Office files DOC, XLS..., but in binary view you can see at least a small amount of informations - for example in some cases text).

Towards binary files are belonging executable files like EXE, DLL and COM. Most of these files are currently protected by copyright law and it's prohibited to change them. But bigger danger is to change these files if you don't know, what are data changed used to. You can then corrupt whole file and executing it can cause data loss on your computer! Therefore I don't recommend to change following file types: EXE, COM, DLL, OCX, SYS, CPL, CPX, VXD using HexView if you don't know, what exactly are you doing.

HexView is based on program FRHED, which is Public domain. Additional informations can you get, if you are working with HexView, press right button on mouse and select item 'About HexView' from pulldown menu.

Warning: HexView is currently available just in english language - but this will probably change in future...


Image files (pictures)

Images are files, which are containing some graphical informations. UniView is recognizing several image formats and it's able to read and write most of them. Biggest part of users of this program does know, what image is, so I will describe technical background of images now - it can inrease your productivity ;-)

Basic characteristics of image in UniView are width, height and color depth. Width (X size) and height (Y size) are gived in pixels (monitor points). Color depth (BPP - Bits Per Pixel) is defining maximal count of colors in image. UniView is supporting following following BPPs: 1bpp (2 colors), 4bpp (16), 8bpp(256) and 24bpp (16 777 777). If imported file is in other color depth (32bpp), it will be converted to nearest higher color depth if possible, or nearest lower otherwise (for example: 2bpp->4bpp, 32bpp and 16bpp -> 24bpp). UniView can change color depth in both direction to higher and lower. Conversion to 24bpp is performed automatically after applying of some effects, which are requiring higher bpp (blur, resize).

Image can by biger sizes occupy much memory space (for example image 5000x5000 in 24bpp takes 71.5MB - you must have about 100 MB RAM to be able to work with that big images). If you want to create a big image, you should close all programs before you do so. And one warning: Windows isn't very stable if there's not enought memory available - be careful what are you doing!

Dicionary:
Pixel: a point of image, which is cotaining some color
Scanline, row: a few (or a lot) of pixels placed in a horizontal line
Column: a few (or a lot) of pixels placed in a vertical line


Multimedia files

Multimedia files are file that are containing image and sound informations (sometimes text too). UniVIew uses Windows MCI interface for playing these file. In future it'll probably support ActiveX technology of Windows Media Player too :). If you encouter some problems by playing AVI, MPG or WAV files, check you have latest codecs installed. For sure you can test MediaPlayer if file can be played using it...


Text files

Text files are files which are containing text informations, but some can contain other informations too (eg. RTF can contain images or multimedia content too), but UniView doesn't show them at this stage of development.


Directory browsing

If you open any file, you can browse through using buttons ← a → in the toolbar or you can use menu items in File menu popup (next file and previous file). File listing is sorted using criteria selected in settings dialog. If you have opened multimedia or image file, you can use also keys space and F11 (next) and backspace and F10 (previous) (note: you can use F10 and F11 by any file). If you selected to view text or binary files too, it's possible, that you encounter some file of this type - you will not be able to use space and backspace buttons in this case (because they are used for file editing :-) and you should use F10, F11, toolbar buttons or menu items...


Status bar

Status bar is a part of main window placed on it's bottom. It contains basic informations about program's state and opened file informations. For every type of file are these informations a bit different, but I think, you can easily find out, what are they attending for...


Program menu

Main deal of program UniView menu is unchanged during whole program run, just items activity is changing (depending on type of file). A short table with descriptions of main menu deals will follow. After clicking to some item you will get further informations about structure and functions of that menu popup.
File | creating, opening and saving files; exiting program etc.
Edit | clipboard working (copy, paste, cut), selecting document, undoing changes
Text | text document manipulation
Player | Changing of video's scale, moving actual position if file
Image | Changes in images, effects applying, pen selection
Start | miscellanous utilities and plugins, that can't be placed in other part of menu
Help | help for UniView and plugins, informations about program, installed plugins and actual document


Menu: File

You can use this menu popup to work with files (saving, opening)

New
Open
Save
Save as
Next file
Previous file
Print
Fullscreen mode
Settings
Exit program

New - creates new file (using dialog new file)
Open - opening of existing files (thought window open file)
Save - saves actual file (if it wasn't ever saved, it runs Save as function)
Save as - saves actual file to selected place on disk in format, you select (using window Save file as)
Next file - opens next file in directory
Previous file - opens previous file in directory
Prints - prints current file. Read this for more informations.
Fullscreen mode - shows current document in fullscreen mode. Appearance of window depends on setting "Simple fullscreen mode". If it's checked, just main editing window will be visible. Otherwise window will be the same as in normal mode excepting that it won't have title bar...
Settings - shows Settings dialog
Exit - terminates program


Menu: Edit

This menu popup can you use to work with document and clipboard...

Undo
Redo
Copy
Cut
Paste
Delete
Select all
Maximize window
Minimize window

Undo - undoes last action you've done. This function is applicable to images and texts after you change opened file...
Redo - redoes action, that you've undoed using undo command.
Copy - copies selected part of image/text/binary file to clipboard
Cut - copies selected part of image/text/binary file to clipboard and removes it from document
Paste - inserts clipboard's data to document in the place of cursor (text, binary files) or replaces active document with document placed in clipboard
Delete - removes selected part of document
Select all - selects whole document
Maximize window - maximizes size of UniView window
Minimize window - minimizes size of UniView window


Menu: Text

This popup is there for text file manipulating. You also show it using as context menu by holding shift and pressing right mouse button...
Set font
Set font color
Font attributes - popup
Align left
Align center
Align right
Increase indent
Decrease indent
Find
Find next
Replace
Word wrap
Selection - popup

Set font - shows dialog box, in which you can select font for selected text block. If no text's selected, program set's current font...
Set font color - selects color of text font (check previous paragraph for rules about selection)
Font attributes - using items in this popup can you set attributes of selected block or actual font. I hope, that it will be easy to use these commands without help too. If you use item 'Read-only', I warn you - it may not work in text editors (but text won't be damaged). To disable any attribute from group [Bold, Italic, Underlined, Read-only], just use the same command 2nd time...
Align left - aligns actual line (if more lines of text are selected, the it aligns all lines) left
Align center - aligns actual line (if more lines of text are selected, the it aligns all lines) center
Aling right - aligns actual line (if more lines of text are selected, the it aligns all lines) right
Increase indent - increses indent of actual line(if more lines of text are selected, the it indents all lines)
Decrease indent - decreases indent of actual line (if more lines of text are selected, the it indents all lines)
Find - finds selected text using selected criteria
Find next - finds next occur of text in document
Replace - replaces selected text to other
Word wrap - wraps text so it will fit into window / cancels wrapping
Selection - sets style of selection (words/letters)


Menu: Player

You can use this popup to control multimedia file replay:

Rewind
Replay
Move to end
Play backward
Set video scale

Rewind - Sets current playing position to begin of file
Replay - Plays actual file from begin
Move to end - Moves actual position of player to end of file
Play backward - Plays actual file backward (in direction from end to start) -it works just for video files!!!
Set video scale - Sets scale of video played (100 is real size, 50 half size, 200 double size an so on)


Menu: Image

You can manipulate image using this menu popup.
Image [image] signals, that effect is applied just to whole image (this means it can't be applied to selected image part - SELECTION).

Effects
 Colors
  Dim image to black
  Decolorify
  RGB->...
  Make greyscale - lightness
  Make greyscale - sum
  Negative
  Remove greyscale colors
  Isolate RGB/CMYK color item
  Isolate HSV/YUV color item
 Blur
  Blur
  Motion blur
  Sloped colors
  Oilpaint
 Distort
  Explosion
  Pixelize
  Shake
  Threshold
 Edges
  Contrast
  Edge detect
  Emboss
  Enhance image
 Noise
  Median filter
  Noise
 Miscellanous
  3D Button
  Make gradient
  Interlace
  User defined
 Transform
  Flip image
  Mirror image
  Rotate left
  Rotate right

Palette
 Count colors used
 Edit
 Histogram
 Export palette
  Jasc format
  UniView format
Pen
Color picker
Text
Selection
Change color depth
Resize image
Change color attributes
Pen attributes
Select pen color

Effects | here you can find all standard effects, you can apply on image (or in most cases to it's part).
Colors | here are all effects working with color values of image(or part of image)
RGB->... | changes order of RGB to selected order
Make greyscale - lightness | creates copy of image in grey colors - uses Lightness from HSL colorspace of image. This is better way than following function...
Make greyscale - sum | creates copy of image in grey colors - uses algorihtm COLOR=(R+G+B)/3...
Negative | creates negative of image
Remove greyscale colors | removes greyscale colors from image and replaces them using selected color (usable for OCR programs)
Isolate RGB/CMYK color item | Isolates selected channel from proper colorspace of image (RGB or CMYK) to relevant color channel of image (and removes other channels) - all is happening on virtual level! If you have selected isolation to greyscale colors, channel will be isolated to grey colors.
Isolate HSV/YUV color item | Does the same as previous function, but isolates H, S, V or Y, U, V - all channels are isolated to greyscale (because they doesn't contain color informations in style of RGB or CMYK :(
3D Button | creates 3D button using specified parameters
Blur | blurs image using standard blur
Contrast | using this, I think very useful, function can you change contrast of image (eg. difference between light and dark parts of image). Higher input values will give image more contrast and lower values vice versa.
Decolorify | Decreates maximum number of color intensities for single channel (it's a good method for decreasing of colors count)
Dim image to black | decreases lightness of image
Emboss | creates a 3D sculpture from image
Enhance image | increases contrast between pixels by selected ratio
Explosion | 'Explodes' pixels so image is looking like it was ... exploded :-)
Edge detect | finds edges in image. The more is edge sharp, that more will be output color more bright...
Flip image | flips image (image will be upside down)
Interlace | creates lines in selected part of image (using specified direction and separation) - it's usable eg. by resizing of images
Make gradient | creates gradient of selected type
Median filter | This functions is very good for removing noise from images - but it has one small fault - it removes thin lines from image too. When you're applying it, you can use strenghts between 3 and 33, but number must be a multiple of 3, otherwise it will be rounded to nearest multiple of 3...
Mirror | creates mirror copy of image
Motion blur | blurs image using motion in specified direction, count of moves and step of moves)
Noise | adds noise to image
Oilpaint | creates oilpainting from image by bluring it using many small areas.
Pixelize | blurs selection using rectangles of specified size. After effect is applied, you will be able to see just the avarage colors that were under rectangles...
Rotate left | rotates image left
Rotate right | rotates image right
Shake | moves each line to left or right by random amount and then each column to up or down (also by random amount). Place that is not be occupied by line or column is colored using selected color.
Sloped colors | Blurs image so it looks oil-painted image after it was sloped by a temper (an then it flowed down)
Threshold | This function is there for decreasing count of colors in image to two, using lightness of pixels of image. You can set threshold value and two colors, which will be used to highlight two different intensities. For algorithm description, check this.
User defined | This function enables user to define his own filter - read this manual for more informations.
Palette | Here you can find all functions working with images' palette (some function are working just for images with bpp smaller or equal to 8)
Count colors used | Using this function you can retrieve count of unique colors used in image.
Edit palette | If image's bpp is smaller or equal to 8BPP, you can change colors from palette using this function - in dialog box can you double-click on color you want to change and change it to other...
Histogram | This functions is showing user color structure of image - here is the descrition
Export palette | If image's is smaller or equal to 8BPP, you can export palette in one of the following formats:
Jasc format | Format of palette used in program PaintShop Pro®
UniView format | Binary format of palette - first byte is (count_of_colors-1) (so there can be 1 to 256 colors), and then sequentialy R, G and B channels of each palette entry...
Pen | sets pen as actual tool
Color picker | sets color picker as actual tool
Text | sets text as actual tool (works just for 24-bit images)
Selection | sets selection as actual tool
Change color depth | using this function you can decrease count of colors in image (or increase). More informations can you get here.
Resize image | using this function you can change size of image. More informations can you get here
Change color attributes | if you want to change attributes of colors for a selection, use this function. More informations can you get here
Pen attributes | after executing this function a dialog box will appear. You can set pen's type, size and color in it.
Select pen color | using this function, you can select color of pen.


Menu: Start

In this popup you can find some supporting utilities. In UniView, there are several built-in functions, that you can use:
Batch conversion - executes utility to convert many file at once
Capture - executes utility for screen capturing
Slideshow - executes utility for making simple images presentations
Thumbnailer - executes utility for thumbnails generating Other utilities (called plugins) can you download from my homepage or from pages of other third-party producers. You can also create your own plugins (if you have UNIVIEW PLUGIN SDK). Help for these function is not my work - ask authors if you can't find any!


Menu: Help

This popup can you use to get some informations about program

Help
Help on help
Plugins informations
Program informations
About program

Help - Shows this help file (or help in other language - depending on current language of UniView)
Help on help - Shows informations about using help
Plugins informations - Shows list of currently installed plugins (and versions of these plugins)
Program informations - Displays informations about program state: opened file and it's attributes, list of supported formats etc.
About program - Shows windows with informations about version of program, author etc.


Dialog box: About program

Basic purpose of this window is to supply to user informations about program version, home page and email of author as well as list of used libraries and some buttons for displaying detailed informations about program state (libraries versions, supported formats, attributes of current file, installed plugins etc.)


Histogram

Main window of this functions looks like this:

It's divided in two imaginary parts: display and settings. In first deal you can see, how many times is active R, G and B color intensity used, in second part you can set type of display. If you wan't to know exactly how many times are colors used in image, push 'Color usage' button.
In dialog, that will appear is list of used colors placed. Number of colors included is limited by setting 'Minimal count of color for one item' in tab 'Miscellanous'. If image contains many colors and you have a slow computer, you should select a big number (500 or so), otherwise for the same image will be 10 probably enought (all depends on computer speed).


Change color attributes

Using this function you can change color attributes
- intensity of R, G, B channels
- color tone
- saturation
- lightness
- Gamma

All items are processed step by step in present order. Results can you see in preview beside.


Change color depth

Using this functions you can change count of used colors in image. Right after you run this function a dialog box will appear. You can select count of color in it together with type and parameters of filters.
For color decrease to 3-256 colors you can use Floyd-Steinberg dithering (image usualy looks better). You can also change following two items: 'color compare' and 'select colors as'. By setting them to different values you can lightly tweak final look of image. Recommended values are 'By lightness' for 1st item and 'pixels avarage' for 2nd item...
If you are decreasing color depth to 2, image will be converted to Black/White. You can use several filters to do it - Floyd-Steinberg and Hilbert are the best choice in my opinion (hilbert has a parameter - 1 is the best quality). However you may need some other type - try them yourself.

Hint: In case you want decrease color depth to small number of colors (for example 5), it's better to decrease color depth by steps, if you want good results (this means you have to decrease colors count first to 256, then to 16 and at least to 5 colors). I also recommend that you try different filters (for example, default filters 'by lightness' and 'pixels avarage' are good for photos. If you want to quantize some diagrams or screenshots, you can also try 'normal' and 'box center' filters - they gave me good results...)


Resize image

Using this function you can change size of image and using some filters you can preserve image quality.
First step of resizing is to select type of resize - crop or resize :). Then you have to select new size of image - you can select one of four presets or input your own. If you have checked 'Preserve aspect ratio', image will have still the same Width:Height ratio - this applies on presets too! Last step is to select filter (just for resize). Filters are placed in the only dropdown box of dialog and they are sorted by quality (and speed). 'Windows' filter is fastest filter, but it's quality isn't very good. The most quality filters are Lanczos 3 and Hermite. Each filter is good for specific type of image - best way to find out your favourite is to test all filters...


Dialog box: New file

In this window you can create new file of specified type (then change and save :). You can create image of several types: text file, binary file and image. After you select your type and attributes of it, you can create it using button OK.

Warning: File, that you create must you save before program exits, otherwise you lose it's contents forever. However, program prompts before it exits if it's set to prompt.

File type | Attribute | Description of attribute
Text file | no settings |
Graphics file | X | Horizontal size of image in pixels
 | Y | Vertical size of image in pixels
 | BPP | Bit count of image. Standard BPP is 24, it's best choise to set BPP to this value. More informations can you get here.
Binary files | without settings |


Dialog box: Open file

This window is almost the same as open dialogs in other programs. But there are two differences: Filter selection. Here you can select from a lot of supported format and format groups. If you can't find searched file, select "All files (*.*)". If you won't be even though able to find it, searched file is either hidden/system or you can't view it because of settings of windows.
Second diference is that this window contains Bottom preview part of window, which is containing basic informations about image's size and bpp and small preview of it...


Printing files

In current version of UniView is it possible to print text and graphics files. This function is just experimental and it's possible that it'll be changed in future!. File can be printed using menu item File-Print.

Text files printing
After you run this function, a standard windows window :) will appear. You can select here size of paper, printer and other things. After you confirm it using OK button, a progress window will appear. You can see in it which page is currently being printed and you can also stop the printing process. Because of Windows fault (again) will the printing job stay in print queue, but it won't be printed. Po spustení funkcie sa zobrazí štandardné windows okno, v ktorom si môžete vybrať veľkosť papiera, tlačiareň
Program has also some problems with printing of TABbed lines (especially when tab is in the begin of file). This issue will be surely repaired in next version of UniView.

Images printing
After you run this function, a standard windows window will appear. You can select here size of paper, printer and other things. Then will following window appear (it's two times bigger in real :-)

In this window can you set, how will be picture placed on paper and it's size. First, we describe right top part of window - it is used to specify deal of paper, which will be usable by image. I thing, there's nothing more to write about it. Maybe just that units used here can you set in Used units combo. This setting applies also on 'custom size' window part.
Main part of window is group of possible size settings in left part of window. You can select one from follwing types:
  • Best fit to page - program automatically sets size, so image passes in area defined by paper size and margins. You can see, that progarm is always preserving aspect ratio
  • Stretch to page - image is being stretched to whole page-margins; aspect ratio may be not preserved!
  • Scale - using this setting can you change size of image using multiples of it's original size. If image with selected dimensions does not fit to specified place, it's automatically being sized so it fits - you will be informed about it in right of page preview...
  • Custom size - here can set size of image in selected units. Dimensions fitting is the same as by previous type.

If you checked 'Center on page' option, image will be in all cases (excepting 2nd) placed in center of specified area.
In bottom part of dialog are: page preview (margins are indicated by thin lines) and informations, about which dimension is out of range (specified by paper size and margins again ;-) - X is horizontal axe and Y is the vertical one. If there's a '!' character in the right of axe character, it's a warning :), otherwise not...

If you have specified all required, you can print the image using 'Print' button. You can cancel the operation using 'Cancel' button. If you use first possibility, there's no way to cancel this operation anymore. Image is send to printer driver. You can cancel the print by removing it from printer queue or... HEY! That's not scope of this document anymore :)


Dialog box: Save file as

Using this dialog you can set path of file saved and also type of it. It's almost equal to save dialogs of other programs. The only difference is that there is one button more: 'Options'. This button is used to set parameters of output file format. You can't set parameters for all formats, further informations can you get in part Supported formats.


Dialog box: Settings

Using this dialog you can set some parameters, which will be used by some situations, such like opening files, browsing through etc. This windows is didvided into several logical parts using tabs - it's a standard property sheet. Descriptions of these parts will now follow:
Basic settings, File associations, Multimedia and text, Browsing, Miscellanous→File import

Basic settings
Language/Sprache/Jazyk | you can set language of program using this setting (it will apply after OK). Comment: Setting of language doesn't apply to all program messages (for example errors by PNG, GIF etc. are just in english language)!
Show toolbar | If checked, window will contain toolbar...
Flat toolbar | If checked, toolbar will appear as a flat one - when mouse rolls over button, it raises. This change will apply after program is restarted!
Show status bar | If checked, windows will contain status bar...
Save window position when program exits. | If checked, program will save window position when program ends and restore it at next start.
Flat scrollbars by images | If checked, images will be scrollable using flat scroll bars.
Window always on top | If checked, window will be visible always.
Minimize to tray bar | If checked, program will move to tray bar when minimized. You can get it back after clicking to program's icon by left mouse button.
Prompt before file is overwrited | If checked and you are saving file to path where another file already exists, program'll ask, if file should be overwritten...
Overwrite read-only files | If not checked and file that you are overwriting has read-only attribute, file won't be saved and program reports error...
Alert if plugin is active when program is exiting... | If checked and if some plugin is active when program is about to exit, program asks user if it should terminate plugins or cancel exit of program...
Simple fullscreen mode | UniView supprots two types of fullscreen mode: full(if unchecked) and simple (if checked). Full mode will preserve all window properties and it only maximizes window and removes it's caption (toolbar, statusbar and menu are remaining). Simple mode maximizes window and removes all items so there is just edit window visible...
Select color... | Using these two buttons you can select color, which will be used as background for specific type(s) of files...
Select font for text edit | Using this button you can select font that will be used as default for viewing text files, which doesn't contain any font informations (such as TXT, DIZ...) or as default for new files...

File associations
Image, multimedia and other associations | In these lists you can select, which will be opened using UniView...
Select icon | After pressing this button you can select icon for a group of formats, which is placed above this button...
Edit control :) | Here you can add next extensions, that will be associated with UniView - icon of [other associations] will be used
Show thumbnails for BMP files | If checked, icons of BMP will look like small previews whole image in explorer and other similar file managers (Windows Commander). This isn't advised because it decreases speed of browsing process...
Show thumbnails for ICO files | If checked, icons of ICO will look like small previews whole image in explorer and other similar file managers (Windows Commander).
Preserve file associations on startup | If checked, UniView will automatically associate itself when program starts.

Multimedia and text
Multimedia |
Stretch video to window | If checked, video opened will be automatically stretched to size of window...
Show playbar | If checked, bar with current position and play-buttons will be visible
Show menu | If checked, play menu will be available
Show error dialogs | If checked, you will get informations about errors occured during playing of file
Show position | If checked, bar with current position will be visible
Text |
Wrap lines in text files by default | If checked, text in window will be wrapped so it will fit to window without any need of moving horizontally to see whole text (you can change it temporarily by using menu->text)
Select words by default | If checked, you will be able to select whole words in text documents (you can change it temporarily by using menu->text)
Never use RichEdit 2.0 | If checked, old interface of RichEdit control will be used and you won't be able to use some of new attributes (like multiple undo or single keyboard used for whole document)
Maximal count of undo/redo | Using this setting you can set, how many steps of edit will be undoable (redoable)

Browsing
When moving through directory, show | Selected items will specify, which file types will be user able to view by directory browsing (he can always open unselected type using 'Open' command)
Browse hidden and system files too | If checked, hidden and system files will be also shown by browsing a directory.
Show errors about read errors (not recommended) | If checked, detailed error messages will be appeared during file(s) opening, if there will be some - it's not recommended option for normal users
Sorting | Here you can select, how will be files used by browsing thought directory sorted.
Figure as text files | Files with specified extensions will be forced to open using text view (not binary even if file has unknown format)
Show details about read errors | If checked, you will be informed about all errors in file. This option is recommended just for experienced users...
Image ... scroll speed | Here you can set speed of image scrolling using arrow keys (and num. keyborad)...

Miscellanous
Files opening |
Ask user if file has improper extension | If checked and file, that is being opened, has not extension that it has to have then user will be noticed about it and he'll be also given offer to rename it.
If file can't be opened... | If this option is checked, number of successful openings will get up because of additional open attempt if file can't be opened as format detected using it's contets (it'll be opened as file, which format is defined by it's extension)...
File import settings | By pressing this button you can set parameters of reading of some formats.
Other controls |
Notify user when closing unsaved file | If checked, user will be notified to save file, if it was changed since last save (or open, create) and you are closing it...
Close utility window when conversion starts | If checked, window of batch conversion will be after closed after conversion starts - therefore you will lose chance to repeat conversion - you will have to set all again...
Minimal count of colors for one item (histogram) | Here you have to set number, which will limit number of colors displayed in 2nd histogram dialog. More informations can you get here.
If you want to set reading parameters for some formats, you can use button 'File import settings' in Miscelllanous tab. You will then get to dialog window, where you can do all settings...

File import
ASCII art import | In this part you can set parameters of AA files import - used filter and size of cells...
RAW/YUV import | Here is set size of RAW/YUV files (because they doesn't contain this type of informations), offset which will be used as start of file (from this point it will be read) and order and interlacing of channels for RAW files and interlacing of YUV files.
ICO/ICL | Here you can set style, how images from ico/icl files will be read (the best choice is, I think, 1st, because if there is more than one image in icon file, you can select some by yourself).
LBM (=IFF,ILBM) | If you want to figure all LBM files as HAM or Extra_Halfbrite subtype even though it's not defined in CAMG chung, you can check first checkbox so it's caption will be HAM or Extra_Halfbrite. If it'll be *, program will use type defined in file. If you check 2nd checkbox (Adjust colors), program will replace some types of 4-bit palette to 8-bit. In case you want to skip some chunks, you can use last edit box. Note that chunk names in LBM's are usually 4-BYTE hi-characters (like PSIM, CMAP etc.). You must separate them with one space character!


User defined effect

After executing this function following window may appear:

As you can see, there is an array of input boxes in top part of image, which is there for selecting of weights for each pixel. Next there are fields for sekecting division ratio, which should be equal to sum of all weights if effect has not to change luminosity of pixel. Last parameter (bias) can change final luminosity of pixel. And how does it work? Let's check some examples:
0 | 0 | 0 | 0 | 0 | 0 | 0
0 | 0 | 0 | 0 | 0 | 0 | 0
0 | 0 | 0 | 1 | 0 | 0 | 0
0 | 0 | 1 | 2 | 1 | 0 | 0
0 | 0 | 0 | 1 | 0 | 0 | 0
0 | 0 | 0 | 0 | 0 | 0 | 0
0 | 0 | 0 | 0 | 0 | 0 | 0

Filed 'Division ratio' contains 6 and 'Bias' 0. Now how is pixel calculated? It works in matrix style, main pixel is marked by bold font (in dialog by other field border) is pixel, which is being evaluted. Pixels 'round are pixels, which are positioned in visually same position around main pixel. For each channel R, G, B is this matrix evaluted by multiplying of channel value by given number and result of these operations is then divided by division ratio and incremented by selected number. You can use all integer numbers (negative too) including 0. If division factor is 0, output sum isn't divided (it gives the same result as there is number 1).
If you want to create effect which won't do anything (so doesn't have any importance), you can create it like this:

0 | 0 | 0 | 0 | 0 | 0 | 0
0 | 0 | 0 | 0 | 0 | 0 | 0
0 | 0 | 0 | 0 | 0 | 0 | 0
0 | 0 | 0 | 1 | 0 | 0 | 0
0 | 0 | 0 | 0 | 0 | 0 | 0
0 | 0 | 0 | 0 | 0 | 0 | 0
0 | 0 | 0 | 0 | 0 | 0 | 0

, and you set division ratio to 1 and bias to 0. Other filters I let on you - if you find some nice filter, let me know!


Batch conversion

This very useful function is there for converting many files in one step. UniView supports extept this functionality also file renaming, setting of output directory and application of effects before file is saved. Now description of controls if following:

Main window is very similar to window Open file and some of it's items are doing the same job. There are some standard items: file selection, make directory button etc. Description of these items can you get in Windows help. Button Open works something different - it opens file but does not close window (you can use it to see, what file contains if you're unsure). Using button "Cancel" you can close Batch convert dialog.

Other items are not standard and they are used to set conversion paremeters. I put here preview of that window for simplicity. Informations about some item can you get by clicking on it. List of files to convert Deletes selected files from list Removes all items from list Output format File format attributes Effects application Output directory Format of output file name Selection of output directory List of possible macros for file name Loads previously saved configuration Saves actual configuration Starts conversion

File list - this list contains list of all files, which are to be converted. You can add files to this list using drag&drop method from all capable file lists (eg. from Explorer, Windows commander or even from list on the right side - from standard file list of open dialog). If you want to remove some items from this list, select them and press button '-'. If you want to remove all items, press 'X' button.
Output format - In this dropdown list you can select output format, which will be used to save output files.
Options - After you press this button, you can select attributes of all possible output formats (actual format will be first viewed, if it can be configured).
Effects - When you press this button, you will get to dialog box, where you can set effects, which will be applied to output image before saving.
Output filename format - Here you are selecting format of output file name. List of all possible options can you get after pressing button beside. Hint: If you want to have file names in format "old_name.new_extension", you have to input "?n.?x". You can use any combination of characters (of course just character that allowed in filename), utility will replace just deals with character '?'...
Load configuration - Loads configuration saved in selected file - together with following function are these desirable for frequent changing of couple of conversion types around.
Save configuration - Saves configuration to selected file
Convert - Begins conversion. After start a log window will appear (it will contain list of actions performed). Conversion can be terminated by button "Cancel", but you will have to wait until conversion of currently processed file is terminated (if there's some).


Screen capture

This function has one usage - to capture part of screen and then to save these images to specified place...

After you run this function, you'll dialog box containing all needed settings for this function. It's divided in several parts:, which are described in following table
Screen part | Here you can select part of screen that will be captured. It can be whole screen, whole window in foreground or client area of window in foreground (it's the same as whole window, but without title, menu and scroll bars).
Capture using | Here are you selecting, when will be screen captures. You can select between time interval and pressing button. If you select time interval, screen will be captured every n seconds, depending on your selection. If you select second choice, it will be captured by pressing of selected combination of keys. Comment: If there is previous capture active by capturing screen (this means file from previous capture is being saved), capture won't be performed and you will have to wait until it ends (busyness is signalized by a short beep of speaker). This can be nasty if you set short time interval or press key combination many times. In this case screen can be captured many times after you want (delayed in consequence of low processor performance...)
Output... | Here you have to select, where will be captured images saved and which format will they have. If selected directory won't exist, program will create it automatically. Output file will have selected format and will be created using prefix "uniview_" after which will be informations about date and time of file creation. If file with this name did already exist and wasn't just for reading, it will be overwritten! Warning:Directory must be in format 'x:\path' or 'x:\path\'. If you input different path format, author doesn't guaratee path of directory, which may be created and/or used. For example: if you write x:path, directories will be created recursively. This isn't failure of program but OS - it's verified.
Buttons on side | After pressing button 'Go', capturing process will begin. Using 'Cancel' button you can stop screen capture...

After starting capture using 'Go' button a window will appear, which will enable you to stop capture in any moment (excepting when an image is being saved - in this case capture will be terminated after saving).

Comment: It's not certain that program will be able to capture screen on any time point. Problems may appear mostly by multimedia games (using DirectX, OpenGL or Glide) or by playing some video files. In this specific events UniView may not be able to capture screen and you should use some specialized programs (HyperSnap or so).


Slideshow

Function slideshow is a function, using which you can create simple presentations based on displaying of defined set of pictures in fullscreen mode. You can set order of images and style of viewing or moving throught list of files. Configuration window is similar to window of Batch conversion or dialog Open file.

Main part of window is list of files in top left 'edge' of window. You can add files there using 'drag&drop' method, just like in batch conversion dialog. It is very important that you can use this method also with TXT configuration files (so you don't have to use load configuration button). You can use button with line (on the right side of file list) to remove selected items from list or 'X' button to remove all items.

If you want to arrange list, you can use items in group 'Order/sorting'. They are used to (from top): Sort items by name, sort items by extension, sort items by date of last change and sort by file size. If you push bottommost button, items in list will rearange, so last item will be first and first will be last - they'll be in reversed order. You can also use button 'Randomize' to randomize order of files in list.

In 'Settings' group you can tweak final appearance of presentation. First thing you have to set is style of moving throught file list. It can be automatic (you have to set time between two images) or manual (you are moving throught list using any keyborad or mouse button).
Next settings are affecting other attributes of presentation. After you check first checkbox (Loop presentation) images will be displayed in loop until you manually stop presentation. Second check (Don't show errors) is ensuring that no error messages will be displayed during slideshow. If you check third box (Show file name), you will allow displaying of file names in topleft edge of screen. Last check box (Hide mouse cursor) is there to allow you to hide mouse cursor during slideshow.

If you want to save or load files list, you can use load/save configuration buttons... Lists are being saved to standard TXT files (every file is on new line!).

Prestentation is being started using 'Start' button. You can stop slideshow at any time point using key ESC and/or key-combination Alt+Enter (or even Alt+F4). This doesn't mean you can terminate reading of file - this process can't be stoped.


Thumbnailer

This function of UniView is maked for creating of thumbnail catalogs. It's really easy to use - after you run it, a window will appear. Under of caption of that window there is a menu. Using it you can perform all operations that are available in UniView thumbnailer. Under menu there are two windows - one with a list of drives (root items, named x:\, where x is drive letter) & directories in computer and list of images in selected directory. If you want to set some parameters of thumbnails, you can use Thumnails-Settings menu item. If you want to create HTML catalog, select images, which should be in it and use Thumbnails-Generate HTML catalog... If you want to create catalog as a single image, you have to select desired files and use Thumbnails-Generate image catalog... If you want to quickly select all images in list, just use Select all menu item. If you want to exit function, use Exit menu item (or Alt+F4, [X] in window title etc.).

Settings
Here you can set all required parameters of thumbnails. First very important parameter is thumbnail size (in pixels). Both values, width and height, can be in range 1 to 1024, but it's not recommended to set values bigger than 300, because thumbnails with that sizes are filling up memory very fast and they don't have any practical meaning (in most cases). It's also good to set both values the same (like 86x86, 100x100 and so on). If you want to get button-like thumbnails, check button "Make edges". It's also required that you set Border color - if you don't check previous setting, you should set this color the same as following color (until you won't get some pseudo art). Background color is used as backround color not just for list view of main thumbailer window, but also by generating of HTML and image catalogs...

HTML catalog
If you set all settings you wanted to and you've also seleted images that you want in catalog, you can use this function to create HTML catalog of thumbnails, which you can use eg. on WWW. The basic setting is output directory. In this directory all files will be put - if you wan't see which structure has this output, check end of this paragraph. You also have to carefully select output format of thumbnails produced, because this selection can dramatically change size of output catalog and also it's compatibility with web browsers. If you are planning to put catalog on the internet and don't mind quality, use JPG format. If quality is important to you, use PNG. If you are going to use produced thumbnails in some graphics program, use TIFF or PNG. If you want to get better thumbnails, check option 'Use resample...'. Now you have to set some additional parameters: document title, maximal number of columns. Next you have to select if you wan't to create links to original files on your computer using absolute paths or copy files to special directory and use relative paths - 2nd solution is better, because you can put output directory directly to the www without any changes (but output will be some bigger - depending on sizes of original documents...). Last thing you can set are informations, which will be displayed by each thumbnail - it can be name of file, size of original picture and it's lenght on disk (in bytes). When you set all required parameters, there should be no problems - you can run generation of thumbnails using 'Start' button. Attention! If you are generating a bigger catalog, be patient - it can take a while...
PS: Thumbails of HTML catalog will be the same size as in main window of utility...
Output directory description: Main file of catalog is '_index.html'. It's permitted to change it but you must put somewhere in it word 'UniView' (it doesn't have to be visible in HTML viewer). In directory '_thumbnails_' are placed image thumbnails and copied files (if you checked the right option) are in '_images_'.

Image catalog
Using this function you can create single image with thumbnails. I hope, it's not too hard to understand options... I placed here just a few help lines: Item 'Image borders' is there for setting of size of global border. If you don't set any text for item Header of Footer or you don't check some of those check items, nonspecified item will be not displayed... After you run this function using 'Start' button thumbnail generation will begin - this can take a while (mostly by saving output to specific formats like PNG or TIFF with compression) - so please, be patient...
PS: Images in this type of thumbnails can be other size than you set - they are changing sizes dynamicaly depending on parameters of this functions - but that's algorithm and I don't want to load you with details ;-)

Technical note: If no file's opened in main UniView window, thumbnailer will stard in standard mode - without selected directory and without any thumbnails. In other case, directory where current file is placed will be opened...


News, backstage informations etc.

  • If you're using this program a bit longer, you probably found HexView utility in UniView. It enables you to change file of any type. I think it's pretty useful functionality, but there is one problem: It's very big problem to open a big file (100MB and bigger). Therefore I'm going to create a new version which won't support editing but will be able to show file of any size. It will be distributed as plugin and you will be able to select which version of HexView you want to use. You will be informed when it's done :-)


Clipboard

Clipboard is a function (memory part) in Windows, that is used to exchange informations between applications. It dynamicaly changes it's size depending on size of data placed in it. UniView can work with clipboard - rather with most clipboard formats (you see right, clipboard can be in several formats), which are placed in table with short description of actions, which UniView can perform with these formats...
Text/RTF | viewing/changing/inserting to clipboard
Image | viewing/changing/inserting to clipboard
Multimedia files | no possibilities
Unknown formats | viewing/changing/inserting to clipboard - program must be in HexView mode

All clipboard operations are available in menu 'Edit'...


Colorspace

THIS DEAL OF HELP IS DEDICATED TO SKILLED USERS OF GRAPHICAL PROGRAMS

In this part can you find further informations about some terms mentioned in this help. It's not necessary for most users...

RGB - is colorpace model, which is used in most graphical programs and it's basic model because of it's monitor-displaying simplicity (which are using Red, Green and Blue channels). Color in this model contains three channels - Red, Green and Blue. Each channel is representing intensity of that color (floating point number, 0 is zero intensity, 1 is maximum; on computers is used 0-255 range - for memory saving is integer used). UniView uses RGB with range 0-255, because of it's speed...
Scheme of RGB colors mixing

CMYK - colorspace used on printers. It contains Cyan, Magenta, Yellow and blacK channels. There is also a CMY colorspace available, but using CMYK, printer can save much printer ink (or toner etc.) because it doesn't have to use combination of CMY to produce black color - it directly uses black... If you want to compute valueas of CMY channels depending on RGB (0-255), use following table. If you use CMYK, it's not so simple and there are more complex algorithms used.
R= | 255-C
G= | 255-M
B= | 255-Y
----- | -----
C= | 255-R
M= | 255-G
Y= | 255-B

PS: As I already noted, CMYK colorspace is used by printing. You should know that RGB to CMYK conversion process is lossy - some colors (near to red, green and blue) are discarded because of printing technology limitations. Eg. following picture shows, how cyan, magenta and yellow colors have to mix. In real, it isn't so...
CMY mixing

HSV, HSL, HSB - all these colorspaces was developed to make color specification more readable for human - HSV (Hue Saturation Value), HSB (Hue Saturation Brightness), a HLS (Hue Lightness Saturation). As an example take we HLS. As you saw, it contains three color specificators. Hue is describing color tone and it's unit is degree - so it can be 0°-360° (An the picture can you see order of color tones by L and S at 50 - see next sentence). Lightness and Saturation are values in range 0-100. If Lightness is 0, color is black, if it's 100, color is white. If Saturation is 0, color is greyscale, if it's 100, color is at maximum intensity.
Color palette for H=[0, 360]

YUV, YCbCr, YPbPr, CIE xyz, L*a*b* - These and other colorspace formats were developed for use in TV receivers (especially color TV's) and computer animations (MPEG, DVD etc.)

If you want to know something more about this theme, very good source if informations are discussion forum's (comp.graphics, comp.graphics.algorithms) or misc. internet pages (http://www.inforamp.net/~poynton/Poynton-color.html). You can also use some good internet search service with keywords like: : colorspace, color encoding, YUV, RGB and so on.


Description of used algorithms

Threshold effect
We assume we have predefined following values: threshold and two different colors (they can be same, but effect will then have no meaning). Program takes point of image and calculates it's luminosity which's then compared to threshold value. If luminosity is bigger, point of image is colored using color 2, otherwise color 1 is used (when it's smaller or equal).


Keyboard shortcuts

If you're an advanced computer user, you will probable enjoy this list of keyboard shortcuts - they can, as you know, increase your speed of working with this program.
By each (or most) shortcut is placed small icon - it's informing you on what types file does it work. Icon [image] means image files, [image] text files, [image] binary files and [image] multimedia files. If there's no icon, shortcut doesn't depend on opened file type.
F1 | Help
F2 | Settings
F3 | Find next
F5 | Capture
F11,F10,space,backspace | Browsing throught directory
F12 | Save file as
Alt+Enter | Fullscreen mode (for images and multimedia files is 'Enter' key enought)
Alt+F4 | Exit program
Ctrl+A | Select all
Ctrl+B | Bold font
Ctrl+C | Copy
Ctrl+D | Change color depth
Ctrl+F | Find
Ctrl+G | Set font
Ctrl+H | Replace
Ctrl+I | Italic font
Ctrl+N | New file
Ctrl+O | Open file
Ctrl+R | Resize image
Ctrl+S | Save file
Ctrl+T | Thumbnailer
Ctrl+U | Underlined font
Ctrl+V | Paste
Ctrl+X | Cut
Ctrl+Z | Undo
Ctrl+Alt+B | Batch conversion
Ctrl+Alt+C | Change color attributes
Ctrl+Alt+M | Maximize window
Ctrl+Alt+W | Slideshow
Ctrl+Alt+Z | Redo
Ctrl+Alt+Shift+1 | Pen
Ctrl+Alt+Shift+2 | Text
Ctrl+Alt+Shift+3 | Selection
Ctrl+Alt+Shift+4 | Color picker
Ctrl+Alt+F1 | Informations about program state
Ctrl+Shift+C | Create centered wallpaper from current image
Ctrl+Shift+F1 | Plugins' informations
Ctrl+Shift+M | Minimize window (boss key :-)
Ctrl+Shift+T | Create tiled wallpaper from current image
Shift+F1 | Program informations

You can also use other keys...
+/- (on both numerical and normal keyboard) | They're used to zoom images (not resize them!)
Cursor keys | They're used to move in image, text, binary and in multimedia files to move current position...
Numerical keyboard keys | You can use them for smooth moves in images
Page up/page down | Moves one page up or down
Home/End | In image you can move page left or right, in text files to begin or end of line (if you will hold Control, you can get to start or end of document).


Licenses

LZW | Compression LZW (Lempel-Ziv Welch) is used in GIF and TIFF (when using LZW compression). Unisys owns patent on this algorithm, so if you want to use one of mentioned formats, you have to buy a license from Unisys (which costs about 5000$ for typical user). Unisys never enforced patent against trivial user. Patent expires on 2003. Rumor has it that IBM also owns a patent covering GIF (or LZW) format, I don't know exactly :) More info can you find on http://www.unisys.com
JBIG | If you want to use JBIG format, you have to buy a license, because JBIG is patented format (info on http://www.ibm.com, http://www.jpeg.org).
NetPBM | Permission to use, copy, modify, and distribute this software and its documentation for any purpose and without fee is hereby granted, provided that the above copyright notice appear in all copies and that both that copyright notice and this permission notice appear in supporting documentation. This software is provided "as is" without express or implied warranty.
LibTIFF | Permission to use, copy, modify, distribute, and sell this software and its documentation for any purpose is hereby granted without fee, provided that (i) the above copyright notices and this permission notice appear in all copies of the software and related documentation, and (ii) the names of Sam Leffler and Silicon Graphics may not be used in any advertising or publicity relating to the software without the specific, prior written permission of Sam Leffler and Silicon Graphics.
LibPNG | Thanks to Glenn Randers-Pehrson and all contributors of LibPNG project. It's a great library!
LibJPEG | This software is based in part on the work of the Independent JPEG Group - the great JPEG library.
ZLib | This software is based in part on the work of Mark Adler and Jean-loup Gailly - the great LZ77 compression library: ZLib.
RLE | Source codes of library (Utah Raster Toolkit library) are available (eg. on ftp.iastate.edu/pub/utah-raster/)...
 | This program also uses some lines of code from many free projects like ImageMagick and Graphics gems and NetPBM. Thank's to all, who created these projects :-)


Opening files

After selecting file in "open dialog" or after other actions that make uniview to open some file, a complicated process overruns. It finds file type using it's contents (thus not just using extension). This makes UniView to open files correctly, even if they have wrong extension. If file does have other extension than it should have and if you checked possibility "ask user if file has improper extension", you will be noticed about it and you can correct extension straight. It's recommended to check 2nd checkbox too. This will delay file reading in some VERY RARE cases, but you will reach more successful file recognizing and reading...


Using mouse

In this 'chapter' can you get some useful informations about using mouse in UniView. Depending on file type, the mouse can be used for other thing...

Text files - here is very useful 3-button mouse. If you press middle button (and hold it), an arrow-image will appear and you can move through document simply by moving cursor... If you have so-called 'roller', you can also use it to move in document. After you press right button, context menu Edit will appear. If you hold shift and press right button, it will be Text submenu. Following feature will also affect just users with roller on mouse. If you hold down 'Control' key and 'roll', scale of document view will change (but not sizes of fonts - they can be changed just throught text menu).

Image files - using right button can you get context menu Image. If you also hold shift key, Edit menu will appear. For scrolling image can you use scrollbars, keys or mouse roller. By normal use of roller are you scrolling document up/down. If you also hold middle button pressed (or on many mouses push roller, because it's 2nd usage is middle buton), you can move to left/right.

Multimedia files - All mouse functions is covered by MCI interface. One of possible ways to use mouse is to get context menu using right button :-)

Binary files - using left button can you change actual position in document or select a document part. Using right button can you show popup menu.


Language files

It is possible to translate almost whole program to any language. The one and only requirement is language file in standard format. Guide how to create language file together with actual template can you find on my homesite. In case you want to contribute language files to every new version of UniView (i.e. you want to be official translator :), you have to contact me...


UniView plugin SDK

Plugin SDK (Software Development Kit) is a package of files which are used to create plugins for UniView. It's free and you can download it from my homesite http://www.gym.utcru.sk/andrek/


UniView freeware license:

License for 'software' UniView:
If you are using this software, you MUST accept this license
and mustn't violate it! If you will, you may be penalised by several
civil and criminal penalties and you will be then prosecuted to the
maximum extent possible under law in your country!

1. You have right to redistribute this program JUST in original form,
you can't request any payment for this distribution from me or target
user (this doesn't mean resources needed for this activities). You can
use this program in commercial packages. Before redistibuting this
package you should give me a notice...

2. You must NOT change any of parts of this software directly or
indirectly. It is also forbidden to dissasembly software's code.

3. This software can be used and copied on as many computers and
as many times, as you need. It is legal to have more than one copy on
one computer.

4. Author of this program can not be responsible for any damages caused
by this software (it is freeware after all). If you find some 'bug', please
let me know and I'll try to repair it.

5. If you wan't to support developing of this software, please register it.
You don't need it, but it will motivate me in work. You can give me almost
anything: hardware, cash (money ;-), some CDs etc. You will get then
support for this software (for further informations read help file please).

6. All rights are reserved to Andrej Krutak

If you don't accept any of these license rules, you must stop using it and
remove all copies of this software from your computer!